## ros-one-combined-robot-hw 0.20.0-1jammy.20251023.0025

=== debian/changelog ===
ros-one-combined-robot-hw (0.20.0-1jammy.20251023.0025) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 00:25:04 +0000

ros-one-combined-robot-hw (0.20.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-combined-robot-hw (0.19.6-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-combined-robot-hw (0.19.5-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-combined-robot-hw (0.19.4-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.1-0jammy) jammy; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.18.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.17.0-0jammy) jammy; urgency=high

  * Use auto keyword
  * Use default member initializers
  * Improve controller and resource filtering for CombinedRobotHW
  * Prefer default member initializers
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds, Toni Oliver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.16.0-0jammy) jammy; urgency=high

  * Use range-based for loop
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Use #pragma once
  * Replace header guard with #pragma once
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Fix build error in clang error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * fix install destination
  * specify RUNTIME DESTINATION for libraries needed for exporting DLLs on Windows
  * Contributors: Bence Magyar, James Xu, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.15.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Sep 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.15.0-0jammy) jammy; urgency=high

  * CreateInstance -> CreateUniqueInstance
  * boost::shared_ptr -> std::shared_ptr
  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 May 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.14.2-0jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.14.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 16 Apr 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.14.0-0jammy) jammy; urgency=high

  * migrate classloader headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 26 Mar 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.13.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.12.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Aug 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.11.5-0jammy) jammy; urgency=high

  * Fix typo in architecture.svg
  * Contributors: Martin Günther

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.11.4-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.11.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-one-combined-robot-hw (0.11.2-0jammy) jammy; urgency=high

  * Add Toni's email to the author fields too
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Add combined_robot_hw to metapackage & system figure
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-one-combined-robot-hw (0.11.1-0jammy) jammy; urgency=high





## ros-one-combined-robot-hw 0.20.0-1jammy.20260220.2123

=== debian/changelog ===
ros-one-combined-robot-hw (0.20.0-1jammy.20260220.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Feb 2026 21:23:46 +0000

## ros-one-combined-robot-hw 0.20.0-1noble.20260220.2130

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(combined_robot_hw)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  hardware_interface
  pluginlib
  roscpp
)

# Declare a catkin package
catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    hardware_interface
    pluginlib
    roscpp
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/combined_robot_hw.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-combined-robot-hw (0.20.0-1noble.20260220.2130) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Feb 2026 21:30:41 +0000

ros-one-combined-robot-hw (0.20.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-combined-robot-hw (0.19.6-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-combined-robot-hw (0.19.5-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-combined-robot-hw (0.19.4-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.1-0noble) noble; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.19.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.18.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.17.0-0noble) noble; urgency=high

  * Use auto keyword
  * Use default member initializers
  * Improve controller and resource filtering for CombinedRobotHW
  * Prefer default member initializers
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds, Toni Oliver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.16.0-0noble) noble; urgency=high

  * Use range-based for loop
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Use #pragma once
  * Replace header guard with #pragma once
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Fix build error in clang error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * fix install destination
  * specify RUNTIME DESTINATION for libraries needed for exporting DLLs on Windows
  * Contributors: Bence Magyar, James Xu, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-one-combined-robot-hw (0.15.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Sep 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.15.0-0noble) noble; urgency=high

  * CreateInstance -> CreateUniqueInstance
  * boost::shared_ptr -> std::shared_ptr
  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 May 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.14.2-0noble) noble; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.14.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 16 Apr 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.14.0-0noble) noble; urgency=high

  * migrate classloader headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 26 Mar 2018 00:00:00 -0000

ros-one-combined-robot-hw (0.13.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.12.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Aug 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.11.5-0noble) noble; urgency=high

  * Fix typo in architecture.svg
  * Contributors: Martin Günther

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.11.4-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-one-combined-robot-hw (0.11.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-one-combined-robot-hw (0.11.2-0noble) noble; urgency=high

  * Add Toni's email to the author fields too
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Add combined_robot_hw to metapackage & system figure
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-one-combined-robot-hw (0.11.1-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-combined-robot-hw
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-one-combined-robot-hw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp
Description: Combined Robot HW class.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-combined-robot-hw//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
